osgWidget::Frame::Border Class Reference

`#include <Frame>`

Inheritance diagram for osgWidget::Frame::Border:

## Public Member Functions

| META_Object (osgWidget, Border)
| Border (BorderType=BORDER_LEFT, point_type=0.0f, point_type=0.0f)
| Border (const Border &, const osg::CopyOp &)
virtual void | parented (Window *)
virtual void | positioned ()
virtual bool | mouseDrag (double, double, const WindowManager *)
BorderType | getBorderType () const
void | setBorderType (BorderType border)
void | setBorderTypeAndName (BorderType border)
Public Member Functions inherited from osgWidget::Widget
| Widget (const std::string &="", point_type=0.0f, point_type=0.0f)
| Widget (const Widget &, const osg::CopyOp &)
| META_Object (osgWidget, Widget)
virtual | ~Widget ()
virtual void | unparented (Window *)
virtual void | managed (WindowManager *)
virtual void | unmanaged (WindowManager *)
void | setDimensions (point_type=-1.0f, point_type=-1.0f, point_type=-1.0f, point_type=-1.0f, point_type=-1.0f)
void | setPadding (point_type)
void | setColor (color_type, color_type, color_type, color_type, Corner=ALL_CORNERS)
void | addColor (color_type, color_type, color_type, color_type, Corner=ALL_CORNERS)
void | setTexCoord (texcoord_type, texcoord_type, Corner=ALL_CORNERS)
void | setLayer (Layer l, unsigned int offset=0)
void | setTexCoordRegion (point_type, point_type, point_type, point_type)
void | setTexCoordWrapHorizontal ()
void | setTexCoordWrapVertical ()
bool | setImage (osg::Image *, bool=false, bool=false)
template<class T>
bool | setImage (const osg::ref_ptr< T > &image, bool f1=false, bool f2=false)
bool | setImage (const std::string &, bool=false, bool=false)
bool | setTexture (osg::Texture *, bool=false, bool=false)
void | addX (point_type)
void | addY (point_type)
void | addWidth (point_type)
void | addHeight (point_type)
void | addOrigin (point_type, point_type)
void | addSize (point_type, point_type)
point_type | getWidth () const
point_type | getHeight () const
point_type | getX () const
point_type | getY () const
point_type | getZ () const
point_type | getPadHorizontal () const
point_type | getPadVertical () const
const Point & | getPoint (Corner=ALL_CORNERS) const
const Color & | getColor (Corner=ALL_CORNERS) const
const TexCoord & | getTexCoord (Corner=ALL_CORNERS) const
Color | getImageColorAtXY (point_type x, point_type y) const
XYCoord | localXY (double, double) const
bool | isPaddingUniform () const
bool | isManaged () const
bool | isStyled () const
void | setDimensions (const Quad &q, point_type z=-1.0f)
void | setX (point_type x)
void | setY (point_type y)
void | setZ (point_type z)
void | setWidth (point_type w)
void | setHeight (point_type h)
void | setOrigin (point_type x, point_type y)
void | setOrigin (const XYCoord &xy)
void | setSize (point_type w, point_type h)
void | setSize (const XYCoord &xy)
void | setColor (const Color &col, Corner p=ALL_CORNERS)
void | setTexCoord (const XYCoord &xy, Corner p=ALL_CORNERS)
void | setTexCoordRegion (const XYCoord &xy, point_type w, point_type h)
void | setTexCoordRegion (point_type x, point_type y, const XYCoord &wh)
void | setTexCoordRegion (const XYCoord &xy, const XYCoord &wh)
void | addColor (const Color &col, Corner p=ALL_CORNERS)
void | addOrigin (const XYCoord &xy)
void | addSize (const XYCoord &xy)
void | setMinimumSize (point_type width, point_type height)
void | setMinimumSize (const XYCoord &xy)
void | setPadLeft (point_type p)
void | setPadRight (point_type p)
void | setPadTop (point_type p)
void | setPadBottom (point_type p)
void | setAlignHorizontal (HorizontalAlignment h)
void | setAlignVertical (VerticalAlignment v)
void | setCoordinateMode (CoordinateMode cm)
void | setCanFill (bool f)
void | setCanClone (bool c)
WindowManager * | getWindowManager ()
const WindowManager * | getWindowManager () const
Window * | getParent ()
const Window * | getParent () const
unsigned int | getIndex () const
XYCoord | getOrigin () const
Color | getImageColorAtXY (const XYCoord &xy) const
Color | getImageColorAtPointerXY (double x, double y) const
Point | getPosition () const
XYCoord | getSize () const
Quad | getDimensions () const
point_type | getPadLeft () const
point_type | getPadRight () const
point_type | getPadTop () const
point_type | getPadBottom () const
HorizontalAlignment | getAlignHorizontal () const
VerticalAlignment | getAlignVertical () const
CoordinateMode | getCoordinateMode () const
bool | canFill () const
bool | canClone () const
point_type | getFillAsNumeric () const
point_type | getWidthTotal () const
point_type | getHeightTotal () const
point_type | getMinWidth () const
point_type | getMinHeight () const
point_type | getMinWidthTotal () const
point_type | getMinHeightTotal () const
unsigned int | getLayer () const
Public Member Functions inherited from osg::Geometry
| Geometry ()
| Geometry (const Geometry &geometry, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Geometry)
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
bool | empty () const
void | setVertexArray (Array *array)
Array * | getVertexArray ()
const Array * | getVertexArray () const
void | setNormalArray (Array *array)
void | setNormalArray (Array *array, osg::Array::Binding binding)
Array * | getNormalArray ()
const Array * | getNormalArray () const
void | setColorArray (Array *array)
void | setColorArray (Array *array, osg::Array::Binding binding)
Array * | getColorArray ()
const Array * | getColorArray () const
void | setSecondaryColorArray (Array *array)
void | setSecondaryColorArray (Array *array, osg::Array::Binding binding)
Array * | getSecondaryColorArray ()
const Array * | getSecondaryColorArray () const
void | setFogCoordArray (Array *array)
void | setFogCoordArray (Array *array, osg::Array::Binding binding)
Array * | getFogCoordArray ()
const Array * | getFogCoordArray () const
void | setTexCoordArray (unsigned int unit, Array *array)
void | setTexCoordArray (unsigned int unit, Array *array, osg::Array::Binding binding)
Array * | getTexCoordArray (unsigned int unit)
const Array * | getTexCoordArray (unsigned int unit) const
unsigned int | getNumTexCoordArrays () const
void | setTexCoordArrayList (const ArrayList &arrrayList)
ArrayList & | getTexCoordArrayList ()
const ArrayList & | getTexCoordArrayList () const
void | setVertexAttribArray (unsigned int index, Array *array)
void | setVertexAttribArray (unsigned int index, Array *array, osg::Array::Binding binding)
Array * | getVertexAttribArray (unsigned int index)
const Array * | getVertexAttribArray (unsigned int index) const
unsigned int | getNumVertexAttribArrays () const
void | setVertexAttribArrayList (const ArrayList &arrayList)
ArrayList & | getVertexAttribArrayList ()
const ArrayList & | getVertexAttribArrayList () const
void | setPrimitiveSetList (const PrimitiveSetList &primitives)
PrimitiveSetList & | getPrimitiveSetList ()
const PrimitiveSetList & | getPrimitiveSetList () const
unsigned int | getNumPrimitiveSets () const
PrimitiveSet * | getPrimitiveSet (unsigned int pos)
const PrimitiveSet * | getPrimitiveSet (unsigned int pos) const
bool | addPrimitiveSet (PrimitiveSet *primitiveset)
bool | setPrimitiveSet (unsigned int i, PrimitiveSet *primitiveset)
bool | insertPrimitiveSet (unsigned int i, PrimitiveSet *primitiveset)
bool | removePrimitiveSet (unsigned int i, unsigned int numElementsToRemove=1)
unsigned int | getPrimitiveSetIndex (const PrimitiveSet *primitiveset) const
void | configureBufferObjects ()
bool | containsSharedArrays () const
void | duplicateSharedArrays ()
virtual void | setUseVertexBufferObjects (bool flag)
virtual void | dirtyGLObjects ()
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (State *state=0) const
bool | getArrayList (ArrayList &arrayList) const
bool | getDrawElementsList (DrawElementsList &drawElementsList) const
osg::VertexBufferObject * | getOrCreateVertexBufferObject ()
osg::ElementBufferObject * | getOrCreateElementBufferObject ()
virtual unsigned int | getGLObjectSizeHint () const
virtual void | compileGLObjects (RenderInfo &renderInfo) const
virtual void | drawImplementation (RenderInfo &renderInfo) const
void | drawVertexArraysImplementation (RenderInfo &renderInfo) const
void | drawPrimitivesImplementation (RenderInfo &renderInfo) const
virtual bool | supports (const Drawable::AttributeFunctor &) const
virtual void | accept (Drawable::AttributeFunctor &af)
virtual bool | supports (const Drawable::ConstAttributeFunctor &) const
virtual void | accept (Drawable::ConstAttributeFunctor &af) const
virtual bool | supports (const PrimitiveFunctor &) const
virtual void | accept (PrimitiveFunctor &pf) const
virtual bool | supports (const PrimitiveIndexFunctor &) const
virtual void | accept (PrimitiveIndexFunctor &pf) const
bool | containsDeprecatedData () const
bool | checkForDeprecatedData ()
void | fixDeprecatedData ()
void | setNormalBinding (AttributeBinding ab)
void | setColorBinding (AttributeBinding ab)
void | setSecondaryColorBinding (AttributeBinding ab)
void | setFogCoordBinding (AttributeBinding ab)
void | setVertexAttribBinding (unsigned int index, AttributeBinding ab)
AttributeBinding | getNormalBinding () const
AttributeBinding | getColorBinding () const
AttributeBinding | getSecondaryColorBinding () const
AttributeBinding | getFogCoordBinding () const
AttributeBinding | getVertexAttribBinding (unsigned int index) const
void | setVertexAttribNormalize (unsigned int index, GLboolean norm)
GLboolean | getVertexAttribNormalize (unsigned int index) const
Public Member Functions inherited from osg::Drawable
| Drawable ()
| Drawable (const Drawable &drawable, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Drawable)
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual void | computeDataVariance ()
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setInitialBound (const osg::BoundingBox &bbox)
const BoundingBox & | getInitialBound () const
const BoundingSphere & | getBound () const
const BoundingBox & | getBoundingBox () const
virtual BoundingSphere | computeBound () const
virtual BoundingBox | computeBoundingBox () const
void | setComputeBoundingBoxCallback (ComputeBoundingBoxCallback *callback)
ComputeBoundingBoxCallback * | getComputeBoundingBoxCallback ()
const ComputeBoundingBoxCallback * | getComputeBoundingBoxCallback () const
virtual void | setShape (Shape *shape)
template<class T>
void | setShape (const ref_ptr< T > &shape)
Shape * | getShape ()
const Shape * | getShape () const
void | setSupportsDisplayList (bool flag)
bool | getSupportsDisplayList () const
void | setUseDisplayList (bool flag)
bool | getUseDisplayList () const
GLuint & | getDisplayList (unsigned int contextID) const
bool | getUseVertexBufferObjects () const
void | setUseVertexArrayObject (bool flag)
bool | getUseVertexArrayObject () const
void | draw (RenderInfo &renderInfo) const
void | drawInner (RenderInfo &renderInfo) const
void | setCreateVertexArrayStateCallback (CreateVertexArrayStateCallback *cb)
CreateVertexArrayStateCallback * | getCreateVertexArrayStateCallback ()
const CreateVertexArrayStateCallback * | getCreateVertexArrayStateCallback () const
VertexArrayState * | createVertexArrayState (RenderInfo &renderInfo) const
void | setVertexArrayStateList (VertexArrayStateList &vasl)
VertexArrayStateList & | getVertexArrayStateList ()
const VertexArrayStateList & | getVertexArrayStateList () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setDrawCallback (DrawCallback *dc)
DrawCallback * | getDrawCallback ()
const DrawCallback * | getDrawCallback () const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
virtual void | traverse (NodeVisitor &)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osgWidget::EventInterface
| EventInterface ()
| EventInterface (const EventInterface &ei)
virtual | ~EventInterface ()
virtual bool | focus (const WindowManager *)
virtual bool | unfocus (const WindowManager *)
virtual bool | mouseEnter (double, double, const WindowManager *)
virtual bool | mouseOver (double, double, const WindowManager *)
virtual bool | mouseLeave (double, double, const WindowManager *)
virtual bool | mousePush (double, double, const WindowManager *)
virtual bool | mouseRelease (double, double, const WindowManager *)
virtual bool | mouseScroll (double, double, const WindowManager *)
virtual bool | keyDown (int, int, const WindowManager *)
virtual bool | keyUp (int, int, const WindowManager *)
void | setEventMask (unsigned int mask)
void | addEventMask (unsigned int mask)
void | removeEventMask (unsigned int mask)
unsigned int | getEventMask () const
CallbackList & | getCallbacks ()
const CallbackList & | getCallbacks () const
void | addCallback (Callback *cb)
bool | callCallbacks (Event &ev)
bool | callMethodAndCallbacks (Event &ev)
bool | canFocus () const
bool | canUnfocus () const
bool | canMouseEnter () const
bool | canMouseOver () const
bool | canMouseLeave () const
bool | canMouseDrag () const
bool | canMousePush () const
bool | canMouseRelease () const
bool | canMouseScroll () const
bool | canKeyDown () const
bool | canKeyUp () const
Public Member Functions inherited from osgWidget::StyleInterface
| StyleInterface ()
| StyleInterface (const StyleInterface &si)
void | setStyle (const std::string &style)
std::string & | getStyle ()
const std::string & | getStyle () const

## Protected Attributes

BorderType | _border
Protected Attributes inherited from osgWidget::Widget
Window * | _parent
unsigned int | _index
unsigned int | _layer
point_type | _padLeft
point_type | _padRight
point_type | _padTop
point_type | _padBottom
VerticalAlignment | _valign
HorizontalAlignment | _halign
CoordinateMode | _coordMode
Quad | _relCoords
bool | _canFill
bool | _canClone
bool | _isManaged
bool | _isStyled
point_type | _minWidth
point_type | _minHeight
Protected Attributes inherited from osg::Geometry
PrimitiveSetList | _primitives
osg::ref_ptr< Array > | _vertexArray
osg::ref_ptr< Array > | _normalArray
osg::ref_ptr< Array > | _colorArray
osg::ref_ptr< Array > | _secondaryColorArray
osg::ref_ptr< Array > | _fogCoordArray
ArrayList | _texCoordList
ArrayList | _vertexAttribList
bool | _containsDeprecatedData
Protected Attributes inherited from osg::Drawable
BoundingBox | _initialBoundingBox
ref_ptr< ComputeBoundingBoxCallback > | _computeBoundingBoxCallback
BoundingBox | _boundingBox
ref_ptr< Shape > | _shape
bool | _supportsDisplayList
bool | _useDisplayList
bool | _supportsVertexBufferObjects
bool | _useVertexBufferObjects
bool | _useVertexArrayObject
GLObjectList | _globjList
VertexArrayStateList | _vertexArrayStateList
ref_ptr< DrawCallback > | _drawCallback
ref_ptr< CreateVertexArrayStateCallback > | _createVertexArrayStateCallback
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osgWidget::Widget
enum | Corner { LOWER_LEFT = 0 , LOWER_RIGHT = 1 , UPPER_RIGHT = 2 , UPPER_LEFT = 3 , LL = LOWER_LEFT , LR = LOWER_RIGHT , UR = UPPER_RIGHT , UL = UPPER_LEFT , ALL_CORNERS = 4 }
enum | Layer { LAYER_TOP = 100 , LAYER_HIGH = 75 , LAYER_MIDDLE = 50 , LAYER_LOW = 25 , LAYER_BG = 0 }
enum | VerticalAlignment { VA_CENTER , VA_TOP , VA_BOTTOM }
enum | HorizontalAlignment { HA_CENTER , HA_LEFT , HA_RIGHT }
enum | CoordinateMode { CM_ABSOLUTE , CM_RELATIVE }
Public Types inherited from osg::Geometry
enum | AttributeBinding { BIND_OFF =0 , BIND_OVERALL =1 , BIND_PER_PRIMITIVE_SET =2 , BIND_PER_VERTEX =4 }
typedef std::vector< osg::ref_ptr< osg::Array > > | ArrayList
typedef std::vector< ref_ptr< PrimitiveSet > > | PrimitiveSetList
typedef std::vector< osg::DrawElements * > | DrawElementsList
Public Types inherited from osg::Drawable

enum

AttributeTypes {
VERTICES = 0 , WEIGHTS = 1 , NORMALS = 2 , COLORS = 3 ,
SECONDARY_COLORS = 4 , FOG_COORDS = 5 , ATTRIBUTE_6 = 6 , ATTRIBUTE_7 = 7 ,
TEXTURE_COORDS = 8 , TEXTURE_COORDS_0 = TEXTURE_COORDS , TEXTURE_COORDS_1 = TEXTURE_COORDS_0+1 , TEXTURE_COORDS_2 = TEXTURE_COORDS_0+2 ,
TEXTURE_COORDS_3 = TEXTURE_COORDS_0+3 , TEXTURE_COORDS_4 = TEXTURE_COORDS_0+4 , TEXTURE_COORDS_5 = TEXTURE_COORDS_0+5 , TEXTURE_COORDS_6 = TEXTURE_COORDS_0+6 ,
TEXTURE_COORDS_7 = TEXTURE_COORDS_0+7
}

typedef DrawableUpdateCallback | UpdateCallback
typedef DrawableEventCallback | EventCallback
typedef DrawableCullCallback | CullCallback
typedef unsigned int | AttributeType
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Public Types inherited from osgWidget::EventInterface
typedef std::list< osg::ref_ptr< Callback > > | CallbackList
Static Public Member Functions inherited from osg::Drawable
static GLuint | generateDisplayList (unsigned int contextID, unsigned int sizeHint=0)
static void | deleteDisplayList (unsigned int contextID, GLuint globj, unsigned int sizeHint=0)
static void | setMinimumNumberOfDisplayListsToRetainInCache (unsigned int minimum)
static unsigned int | getMinimumNumberOfDisplayListsToRetainInCache ()
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osg::Drawable
typedef osg::buffered_value< GLuint > | GLObjectList
Protected Member Functions inherited from osgWidget::Widget
point_type | _calculateZ (unsigned int) const
PointArray * | _verts ()
const PointArray * | _verts () const
ColorArray * | _cols ()
const ColorArray * | _cols () const
TexCoordArray * | _texs ()
const TexCoordArray * | _texs () const
osg::Texture * | _texture ()
const osg::Texture * | _texture () const
osg::Image * | _image ()
const osg::Image * | _image () const
WindowManager * | _getWindowManager () const
osg::Image * | _getImage () const
Protected Member Functions inherited from osg::Geometry
Geometry & | operator= (const Geometry &)
virtual | ~Geometry ()
void | addVertexBufferObjectIfRequired (osg::Array *array)
void | addElementBufferObjectIfRequired (osg::PrimitiveSet *primitiveSet)
virtual VertexArrayState * | createVertexArrayStateImplementation (RenderInfo &renderInfo) const
Protected Member Functions inherited from osg::Drawable
Drawable & | operator= (const Drawable &)
virtual | ~Drawable ()
void | setBound (const BoundingBox &bb) const
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Static Protected Attributes inherited from osgWidget::Widget
static osg::ref_ptr< PointArray > | _norms

## Constructor & Destructor Documentation

## Border() [1/2]

osgWidget::Frame::Border::Border | ( | BorderType | = BORDER_LEFT,
|  | point_type | = 0.0f,
|  | point_type | = 0.0f )

References osgWidget::Frame::BORDER_LEFT.

Referenced by Border(), and META_Object().

## Border() [2/2]

osgWidget::Frame::Border::Border | ( | const Border & | ,
|  | const osg::CopyOp & | )

References Border().

## Member Function Documentation

## getBorderType()

BorderType osgWidget::Frame::Border::getBorderType | ( |  | ) | const

inline

References _border.

## META_Object()

osgWidget::Frame::Border::META_Object | ( | osgWidget | ,
|  | Border | )

References Border().

## mouseDrag()

virtual bool osgWidget::Frame::Border::mouseDrag | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

virtual

Reimplemented from osgWidget::EventInterface.

## parented()

virtual void osgWidget::Frame::Border::parented | ( | Window * |  | ) |

virtual

Reimplemented from osgWidget::Widget.

References osgWidget::Widget::Window.

## positioned()

virtual void osgWidget::Frame::Border::positioned | ( |  | ) |

virtual

Reimplemented from osgWidget::Widget.

## setBorderType()

void osgWidget::Frame::Border::setBorderType | ( | BorderType | border | ) |

inline

References _border.

## setBorderTypeAndName()

void osgWidget::Frame::Border::setBorderTypeAndName | ( | BorderType | border | ) |

inline

References _border, osg::Object::_name, and osgWidget::Frame::borderTypeToString().

## Member Data Documentation

## _border

BorderType osgWidget::Frame::Border::_border

protected

Referenced by getBorderType(), setBorderType(), and setBorderTypeAndName().

The documentation for this class was generated from the following file:

- Frame